Subject: Morels in Ohio
From: [email-masked] (Mike Smith)
Date: Wed, 4 May 1994 15:01:28 GMT
Newsgroups: bionet.mycology

Finally some luck.  Discovered a small flush of Morchella Semilibera
las Saturday.  Picked about two pounds.  I think I now know why i
haven't had any luck in previous forays.  It is my understanding
that this particular variety (semilibera) is one of the earlier
Morels to appear.  Is it possible that the later forms (Esculenta)
have yet to fruit?  We have had an unusually cold spring here (8"
of snow in the middle of March!)  Any thoughts on this?

Thanks for listening
Mike Smith